Skip to navigation

Get Tool Types

View as Markdown
Lists every tool type in the caller's organisation in alphabetical order, for any user in the organisation.

Authentication

AuthorizationBearer

OAuth 2.0 Client Credentials Flow. To obtain an access token:

  1. Request API credentials from HINDSITE support to receive your client_id and client_secret

  2. Make a POST request to obtain an access token:

POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
  1. The response will contain your access token:
{
  "access_token": "your_access_token_here",
  "token_type": "Bearer",
  "expires_in": 7200,
  "created_at": 1234567890
}
  1. Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here

Response

get ToolType(s)

idstringOptional
ULID
namestringOptional
created_atlongOptional

Unix timestamp (seconds since epoch)

updated_atlongOptional

Unix timestamp (seconds since epoch)